#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	procps-ng
Version		:	4.0.4
Release		:	17.0.10.rel%{?dist}
Summary		:	System and process monitoring utilities
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+
URL		:	https://sourceforge.net/projects/procps-ng/files/Production/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, pkill, pgrep,
snice, tload, top, uptime, vmstat, w, watch and pdwx. The ps command
displays a snapshot of running processes. The top command provides
a repetitive update of the statuses of running processes. The free
command displays the amounts of free and used memory on your
system. The skill command sends a terminate command (or another
specified signal) to a specified set of processes. The snice
command is used to change the scheduling priority of specified
processes. The tload command prints a graph of the current system
load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users
are logged on, and system load averages for the past one, five,
and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays
virtual memory statistics about processes, memory, paging, block
I/O, traps, and CPU activity. The pwdx command reports the current
working directory of a process or processes.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root)
%doc AUTHORS NEWS COPYING COPYING.LIB
%doc Documentation/FAQ Documentation/bugs.md
%{_bindir}/free
%exclude %{_bindir}/pidof
%{_bindir}/pgrep
%{_bindir}/pkill
%{_bindir}/pmap
%{_bindir}/ps
%{_bindir}/pidwait
%{_bindir}/pwdx
%{_bindir}/slabtop
%{_bindir}/tload
%{_bindir}/top
%{_bindir}/uptime
%{_bindir}/vmstat
%{_bindir}/w
%{_bindir}/watch
%{_sbindir}/sysctl
%{_libdir}/libproc2.so.0*
%{_mandir}/man1/free.1.gz
%exclude %{_mandir}/man1/pidof.1.gz
%{_mandir}/man1/pgrep.1.gz
%{_mandir}/man1/pkill.1.gz
%{_mandir}/man1/pmap.1.gz
%{_mandir}/man1/ps.1.gz
%{_mandir}/man1/pidwait.1.gz
%{_mandir}/man1/pwdx.1.gz
%{_mandir}/man1/slabtop.1.gz
%{_mandir}/man1/tload.1.gz
%{_mandir}/man1/top.1.gz
%{_mandir}/man1/uptime.1.gz
%{_mandir}/man1/w.1.gz
%{_mandir}/man1/watch.1.gz
%{_mandir}/man5/sysctl.conf.5.gz
%{_mandir}/man8/sysctl.8.gz
%{_mandir}/man8/vmstat.8.gz

#=============================================================================
%package		devel
Summary		:	System and process monitoring utilities

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		 devel
System and process monitoring utilities development headers

#-----------------------------------------------------------------------------
%files			devel
%license COPYING COPYING.LIB
%defattr(-,root,root)
%{_includedir}/libproc2/*.h
%{_libdir}/libproc2.so
%{_libdir}/pkgconfig/libproc2.pc
%{_defaultdocdir}/%{name}-%{version}/libproc.supp
%{_mandir}/man3/*.3.gz

#=============================================================================
%package		i18n
Summary		:	Internationalization pack for procps-ng

Requires	:	%{name} = %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		i18n
Internationalization pack for procps-ng

#-----------------------------------------------------------------------------
%files			i18n	-f %{name}.lang
%defattr(-, root,root, 0755)

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-kill					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name} --all-name --with-man

#-----------------------------------------------------------------------------
%changelog
